%define pkgname xdvik
%define revision 1.37

Summary: TeX src-special files for emacsen
Summary(ja): TeX src-special を Emacsen 上で使用するための elisp
Name: xdvi-search-el
Version: 2009
Release: 2%{?_dist_release}
## This file xdvi-search.el is contained in TeX Live 2009
Source0: xdvi-search.el

Source100: %{pkgname}-install.sh
Source101: %{pkgname}-remove.sh
Source102: %{pkgname}-init.el

URL: http://xdvi.sourceforge.jp/

License: GPL
Group: Applications/Editors/Emacs
Requires(post,preun): emacsen-common

Obsoletes: texlive-xdvi-search-el <= 2009
Obsoletes: xdvik-search <= 22.84.14

BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
TeX src-special files for emacsen
[See]
http://xdvi.sourceforge.net/xdvi-search.el

%description -l ja
TeX src-special を Emacsen上で使用するための elisp です。
[参照]
http://xdvi.sourceforge.net/xdvi-search.el
http://www.nn.iij4u.or.jp/~tutimura/tex/src-special.html


%prep

%build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %__rm -rf $RPM_BUILD_ROOT

%__mkdir_p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/%{pkgname}
%__mkdir_p ${RPM_BUILD_ROOT}%{_prefix}/lib/emacsen-common/packages/install
%__mkdir_p ${RPM_BUILD_ROOT}%{_prefix}/lib/emacsen-common/packages/remove

%__install -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/%{pkgname}/
%__install -m 644 %{SOURCE102} $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/%{pkgname}/

# install  script( bytecompile el and install elc , remove )

%_installemacsenscript %{pkgname} %{SOURCE100}

%_removeemacsenscript  %{pkgname} %{SOURCE101}


%post
if [ "$1" = 2 ]; then

  %_emacsenPackageRemove %{pkgname}

fi

%_addemacsenlist %{pkgname}

%_emacsenPackageInstall %{pkgname}
       

%preun
if [ "$1" = 0 ]; then

  %_emacsenPackageRemove %{pkgname}

  %_removeemacsenlist %{pkgname}

fi



%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/%{pkgname}
%{_prefix}/lib/emacsen-common/packages/install/%{pkgname}
%{_prefix}/lib/emacsen-common/packages/remove/%{pkgname}


%changelog
* Sat Jan 15 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-2
- added Obsoletes: texlive-xdvi-search-el <= 2009
  - for TeX Live 2009 of VinePlus/5, supported texlive-xdvi-search-el

* Sat Aug 07 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- ported from xdvik-22.84.14-6
- TeX Live 2009
